Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1361712

Summary: [abrt] xorg-x11-server-Xwayland: Display server crashed
Product: [Fedora] Fedora Reporter: Diogo Campos <diogocamposwd>
Component: xorg-x11-serverAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: diogocamposwd, ofourdan, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:372717e9985d9dcc572c45ef5d59bf895abcd368;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-08 16:02:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: dmesg
none
File: dso_list
none
File: etc_X11_xorg_conf_d.tar.gz
none
File: usr_share_xorg_conf_d.tar.gz none

Description Diogo Campos 2016-07-29 20:17:25 UTC
Version-Release number of selected component:
xorg-x11-server-Xwayland-1.18.4-1.fc24

Additional info:
reporter:       libreport-2.7.2
executable:     /usr/bin/Xwayland
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x139) [0x591e19]
1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f69ad6b476f]
2: /usr/bin/Xwayland (glamor_pixmap_exchange_fbos+0xbba) [0x44822a]
3: /usr/bin/Xwayland (glamor_close_screen+0x52) [0x429fd2]

Comment 1 Diogo Campos 2016-07-29 20:17:28 UTC
Created attachment 1185669 [details]
File: backtrace

Comment 2 Diogo Campos 2016-07-29 20:17:30 UTC
Created attachment 1185670 [details]
File: dmesg

Comment 3 Diogo Campos 2016-07-29 20:17:32 UTC
Created attachment 1185671 [details]
File: dso_list

Comment 4 Diogo Campos 2016-07-29 20:17:33 UTC
Created attachment 1185672 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 5 Diogo Campos 2016-07-29 20:17:35 UTC
Created attachment 1185673 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 6 Olivier Fourdan 2016-08-02 14:39:19 UTC
Does this crash occurs while the Wayland session is running (ie does it take the whole session down, forcing the user to return to the login screen without notice), or does it happen when closing the session? (I suspect the latter but I am not sure the backtrace can be trusted)

Comment 8 Diogo Campos 2016-08-22 11:45:05 UTC
Not sure what happens, It just shows a bunch of these in ABRT. Nothing really "crashes" noticeably, however.

I always use the X session. Wayland doesn't works well with Intel G33 Graphics Chipset (i915 driver, I think).

Sorry for late reply.

Comment 9 Fedora End Of Life 2017-07-25 22:08:27 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2017-08-08 16:02:31 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.